Subject: [PATCH 0/9] gpiolib: Add GPIO name support

From: [email-masked] (Johan Hovold)
Date: Fri, 31 Jul 2015 11:49:28 +0200

On Thu, Jul 30, 2015 at 05:13:37PM -0700, Arun Bharadwaj wrote:

> 2) Some times I get a kernel dump when I try to unexport the gpio or even
> when I try to read the "name" file. This is not very repeatable and seems
> to happen at random. I haven't had the time to look into this in more
> detail yet, but here's the dump FWIW: http://pastebin.com/xq9cpCQE

This is probably because of patch 8/9 erroneously taking the sysfs_lock
in gpio_name_show.

Johan